# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

Name:           scalatest
Version:        1.3
Release:        1%{?dist}
Epoch:          0
Summary:        ScalaTest Framework
License:        Apache Software License 2.0
Group:          Development/Java
URL:            http://www.scalatest.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Source0:        scalatest-1.3.tgz
# svn export http://scalatest.googlecode.com/svn/tags/release-1.3 scalatest-1.3
# tar czf scalatest-1.3.tgz scalatest-1.3/
Patch0:         scalatest-TestNGSuite.patch

BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-junit
BuildRequires:  apache-commons-io
BuildRequires:  easymock2
BuildRequires:  hamcrest
BuildRequires:  jakarta-oro
BuildRequires:  jmock2
BuildRequires:  junit44
BuildRequires:  log4j
BuildRequires:  mockito
BuildRequires:  objenesis
BuildRequires:  scalacheck
BuildRequires:  scala28 >= 0:2.8.1
BuildRequires:  stringtemplate
BuildRequires:  testng >= 0:6

BuildRequires:  apache-commons-logging
Requires:  java >= 0:1.6.0
Requires:  ant >= 0:1.7.1
Requires:  ant-junit
Requires:  apache-commons-io
Requires:  easymock2
Requires:  hamcrest
Requires:  jakarta-oro
Requires:  jmock2
Requires:  junit44
Requires:  log4j
Requires:  mockito
Requires:  objenesis
Requires:  scalacheck
Requires:  scala28 >= 0:2.8.1
Requires:  stringtemplate
Requires:  testng >= 0:6

%description
With ScalaTest, you can test either Scala or Java code. By 
integrating with popular tools such as JUnit, TestNG, Ant, 
and Maven, ScalaTest makes it easy to take your testing to 
a higher, more productive level in new or existing Scala 
or Java projects. 

%prep
%setup -q 
%patch0 -b .sav0
sed -i -e "s|@RELEASE@|%{version}|" pom.xml
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
#BUILD/scalatest-1.3/lib/ant.jar.no
ln -sf $(build-classpath ant) lib
#BUILD/scalatest-1.3/lib/ant-junit.jar.no
ln -sf $(build-classpath ant/ant-junit) lib
#BUILD/scalatest-1.3/lib/antlr-2.7.7.jar.no
#BUILD/scalatest-1.3/lib/asm-3.0.jar.no
#BUILD/scalatest-1.3/lib/asm-tree-3.0.jar.no
#BUILD/scalatest-1.3/lib/cglib-nodep-2.2.jar.no
#BUILD/scalatest-1.3/lib/cobertura.jar.no
#BUILD/scalatest-1.3/lib/commons-io-1.3.2.jar.no
ln -sf $(build-classpath commons-io) lib/commons-io-1.3.2.jar
#BUILD/scalatest-1.3/lib/commons-io-1.3.2-sources.jar.no
#BUILD/scalatest-1.3/lib/easymock-3.0.jar.no
ln -sf $(build-classpath easymock2) lib/easymock-3.0.jar
#BUILD/scalatest-1.3/lib/hamcrest-all-1.1.jar.no
ln -sf $(build-classpath hamcrest/all) lib/hamcrest-all-1.1.jar
#BUILD/scalatest-1.3/lib/jakarta-oro-2.0.8.jar.no
ln -sf $(build-classpath oro) lib/jakarta-oro-2.0.8.jar
#BUILD/scalatest-1.3/lib/jmock-2.5.1.jar.no
ln -sf $(build-classpath jmock2/jmock2) lib/jmock-2.5.1.jar
#BUILD/scalatest-1.3/lib/jmock-legacy-2.5.1.jar.no
ln -sf $(build-classpath jmock2/jmock2-legacy) lib/jmock-legacy-2.5.1.jar
#BUILD/scalatest-1.3/lib/junit-4.4.jar.no
ln -sf $(build-classpath junit44) lib/junit-4.4.jar
#BUILD/scalatest-1.3/lib/junit-4.4-src.jar.no
#BUILD/scalatest-1.3/lib/log4j-1.2.9.jar.no
ln -sf $(build-classpath log4j) lib/log4j-1.2.9.jar
#BUILD/scalatest-1.3/lib/maven-ant-tasks-2.0.10.jar.no
#BUILD/scalatest-1.3/lib/mockito-all-1.6.jar.no
ln -sf $(build-classpath mockito-all) lib/mockito-all-1.6.jar
#BUILD/scalatest-1.3/lib/objenesis-1.0.jar.no
ln -sf $(build-classpath objenesis) lib/objenesis-1.0.jar
#BUILD/scalatest-1.3/lib/scalacheck_2.8.1-1.8.jar.no
ln -sf $(build-classpath scalacheck) lib/scalacheck_2.8.1-1.8.jar
#BUILD/scalatest-1.3/lib/scala-compiler.jar.no
ln -sf $(build-classpath scala28/scala28-compiler) lib/scala-compiler.jar
#BUILD/scalatest-1.3/lib/scala-library.jar.no
ln -sf $(build-classpath scala28/scala28-library) lib/scala-library.jar
#BUILD/scalatest-1.3/lib/stringtemplate.jar.no
ln -sf $(build-classpath stringtemplate) lib
#BUILD/scalatest-1.3/lib/test-interface-0.5.jar.no
mv lib/test-interface-0.5.jar.no lib/test-interface-0.5.jar
#BUILD/scalatest-1.3/lib/testng-5.7-jdk15.jar.no
ln -sf $(build-classpath testng-jdk15) lib/testng-5.7-jdk15.jar

%build
export CLASSPATH=

%{ant}

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 0644 target/dist/lib/scalatest.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 0644 target/dist/lib/scalatest-wbt.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-wbt-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}
for jar in *-%{version}*.jar; do ln -sf ${jar} `echo ${jar} | sed "s|-%{version}||g"`;done)

#pom
mkdir -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.scalatest %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%changelog
* Fri Nov 04 2011 Ralph Apel <r.apel@r-apel.de> 0:1.3-1
- first release

